osgUtil::IntersectVisitor::IntersectState Class Reference

`#include <IntersectVisitor>`

Inheritance diagram for osgUtil::IntersectVisitor::IntersectState:

## Public Types

typedef std::pair< osg::ref_ptr< osg::LineSegment >, osg::ref_ptr< osg::LineSegment > > | LineSegmentPair
typedef std::vector< LineSegmentPair > | LineSegmentList
typedef unsigned int | LineSegmentMask
typedef std::vector< LineSegmentMask > | LineSegmentMaskStack

## Public Member Functions

| IntersectState ()
bool | isCulled (const osg::BoundingSphere &bs, LineSegmentMask &segMaskOut)
bool | isCulled (const osg::BoundingBox &bb, LineSegmentMask &segMaskOut)
void | addLineSegment (osg::LineSegment *seg)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::RefMatrix > | _view_matrix
osg::ref_ptr< osg::RefMatrix > | _view_inverse
osg::ref_ptr< osg::RefMatrix > | _model_matrix
osg::ref_ptr< osg::RefMatrix > | _model_inverse
LineSegmentList | _segList
LineSegmentMaskStack | _segmentMaskStack

## Protected Member Functions

| ~IntersectState ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## LineSegmentList

typedef std::vector< LineSegmentPair > osgUtil::IntersectVisitor::IntersectState::LineSegmentList

## LineSegmentMask

typedef unsigned int osgUtil::IntersectVisitor::IntersectState::LineSegmentMask

## LineSegmentMaskStack

typedef std::vector<LineSegmentMask> osgUtil::IntersectVisitor::IntersectState::LineSegmentMaskStack

## LineSegmentPair

typedef std::pair<osg::ref_ptr<osg::LineSegment>,osg::ref_ptr<osg::LineSegment> > osgUtil::IntersectVisitor::IntersectState::LineSegmentPair

## Constructor & Destructor Documentation

## IntersectState()

osgUtil::IntersectVisitor::IntersectState::IntersectState | ( |  | ) |

## ~IntersectState()

osgUtil::IntersectVisitor::IntersectState::~IntersectState | ( |  | ) |

protected

## Member Function Documentation

## addLineSegment()

void osgUtil::IntersectVisitor::IntersectState::addLineSegment | ( | osg::LineSegment * | seg | ) |

## isCulled() [1/2]

bool osgUtil::IntersectVisitor::IntersectState::isCulled | ( | const osg::BoundingBox & | bb,
|  | LineSegmentMask & | segMaskOut )

## isCulled() [2/2]

bool osgUtil::IntersectVisitor::IntersectState::isCulled | ( | const osg::BoundingSphere & | bs,
|  | LineSegmentMask & | segMaskOut )

## Member Data Documentation

## _model_inverse

osg::ref_ptr<osg::RefMatrix> osgUtil::IntersectVisitor::IntersectState::_model_inverse

## _model_matrix

osg::ref_ptr<osg::RefMatrix> osgUtil::IntersectVisitor::IntersectState::_model_matrix

## _segList

LineSegmentList osgUtil::IntersectVisitor::IntersectState::_segList

## _segmentMaskStack

LineSegmentMaskStack osgUtil::IntersectVisitor::IntersectState::_segmentMaskStack

## _view_inverse

osg::ref_ptr<osg::RefMatrix> osgUtil::IntersectVisitor::IntersectState::_view_inverse

## _view_matrix

osg::ref_ptr<osg::RefMatrix> osgUtil::IntersectVisitor::IntersectState::_view_matrix

The documentation for this class was generated from the following file:

- IntersectVisitor